This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534915 - (RHQ-1665) make it easier to secure the tomcat connector if users want to use sslservlet transport
make it easier to secure the tomcat connector if users want to use sslservlet...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Pavel Kralik
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 09:01 EST by John Mazzitelli
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
comm-security.pdf (86.74 KB, application/pdf)
2009-02-25 19:36 EST, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2009-02-25 09:01:00 EST
Because we are requiring users to use sslservlet if they want secure transport, we need to make sure our tomcat connector is easier to configure. Right now, it requires the user to perform additional tweeking of the server.xml tomcat config file - especially if they want SSL authentication with certs.

Make it so we use the existing rhq-server.properties settings to configure tomcat.
Comment 1 John Mazzitelli 2009-02-25 19:36:39 EST
attaching comm-security.pdf - it includes documentation on how to configure the server with the new settings
Comment 2 John Mazzitelli 2009-02-25 22:03:10 EST
3199 adds the changes to the config files
3202 adds the new settings to the installer
Comment 3 Pavel Kralik 2009-04-07 09:35:36 EDT
The sslsocket transport is easier to configure in the rhq-server.properties file. 

RHEL5.3, x86_64, PostgreSQL8.2.4, java 1.6.0_11, JON RHQ SVN rev# 3629
Comment 4 John Mazzitelli 2009-07-17 15:44:42 EDT
this is where the docs are now - use these since these are the updated community docs

http://jopr.org/confluence/display/JOPR2/Securing+Communications
Comment 5 Red Hat Bugzilla 2009-11-10 15:37:48 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1665
Imported an attachment (id=368601)
This bug is related to RHQ-1664

Note You need to log in before you can comment on or make changes to this bug.